<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry version="5.0-subset Scilab" xml:id="getfont" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate: 2008-03-26 09:50:39 +0100 (Wed, 26 Mar 2008)
    $</pubdate>
  </info>

  <refnamediv>
    <refname>getfont</refname>

    <refpurpose>dialog to select font <emphasis role="bold">. Obsolete
    function.</emphasis></refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>[fId,fSize]=getfont()
[fId,fSize]=getfont(str)
fnt=getfont()
fnt=getfont(str)
fnt=getfont(S=str,font=[fId,fSize])</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>str</term>

        <listitem>
          <para>character (e.g. "a")</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>fId</term>

        <listitem>
          <para>integer, the number of the selected font</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>fSize</term>

        <listitem>
          <para>integer, the size of the selected font</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>fnt</term>

        <listitem>
          <para>vector [fId,fSize]</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>This function designed to work with the <link
    linkend="xset">xset</link> function <emphasis role="bold">is also
    obsolete</emphasis>. Use the property editor <link
    linkend="ged">ged</link> instead.</para>

    <para><literal>getfont</literal> opens a graphic window to select a font.
    User has to select a font and a size clicking on the corresponding
    displayed character. Killing a keyboard key changes the displayed
    character.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"><![CDATA[ 
[fId,fSize]=getfont();
xset("font",fId,fSize)
plot2d(0,0,rect=[0 0 10 10],axesflag=0)
xstring(5,5,"string")
 ]]></programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link linkend="ged">ged</link></member>

      <member><link linkend="text_properties">text_properties</link></member>
    </simplelist>
  </refsection>
</refentry>
